org.eclipse.viatra.query.tooling.generator.model.services

## Class GeneratorModelGrammarAccess

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder
    - - org.eclipse.viatra.query.tooling.generator.model.services.GeneratorModelGrammarAccess

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess

      public class GeneratorModelGrammarAccess
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `GeneratorModelGrammarAccess.ConfigurationElements`
    `class` | `GeneratorModelGrammarAccess.GeneratorModelReferenceElements`
    `class` | `GeneratorModelGrammarAccess.PropertyElements`
    `class` | `GeneratorModelGrammarAccess.ViatraQueryGeneratorModelElements`

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.IGrammarAccess

      `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorModelGrammarAccess(org.eclipse.xtext.service.GrammarProvider grammarProvider, org.eclipse.xtext.common.services.TerminalsGrammarAccess gaTerminals)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.TerminalRule` | `getANY_OTHERRule()`
    `GeneratorModelGrammarAccess.ConfigurationElements` | `getConfigurationAccess()`
    `org.eclipse.xtext.ParserRule` | `getConfigurationRule()`
    `GeneratorModelGrammarAccess.GeneratorModelReferenceElements` | `getGeneratorModelReferenceAccess()`
    `org.eclipse.xtext.ParserRule` | `getGeneratorModelReferenceRule()`
    `org.eclipse.xtext.Grammar` | `getGrammar()`
    `org.eclipse.xtext.TerminalRule` | `getIDRule()`
    `org.eclipse.xtext.TerminalRule` | `getINTRule()`
    `org.eclipse.xtext.TerminalRule` | `getML_COMMENTRule()`
    `GeneratorModelGrammarAccess.PropertyElements` | `getPropertyAccess()`
    `org.eclipse.xtext.ParserRule` | `getPropertyRule()`
    `org.eclipse.xtext.TerminalRule` | `getSL_COMMENTRule()`
    `org.eclipse.xtext.TerminalRule` | `getSTRINGRule()`
    `org.eclipse.xtext.common.services.TerminalsGrammarAccess` | `getTerminalsGrammarAccess()`
    `GeneratorModelGrammarAccess.ViatraQueryGeneratorModelElements` | `getViatraQueryGeneratorModelAccess()`
    `org.eclipse.xtext.ParserRule` | `getViatraQueryGeneratorModelRule()`
    `org.eclipse.xtext.TerminalRule` | `getWSRule()`
    `protected org.eclipse.xtext.Grammar` | `internalFindGrammar(org.eclipse.xtext.service.GrammarProvider grammarProvider)`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.xtext.IGrammarAccess

      `findKeywordPairs, findKeywords, findRuleCalls`

- - ### Constructor Detail

    - #### GeneratorModelGrammarAccess

          @Inject
          public GeneratorModelGrammarAccess(org.eclipse.xtext.service.GrammarProvider grammarProvider,
                                                     org.eclipse.xtext.common.services.TerminalsGrammarAccess gaTerminals)

  - ### Method Detail

    - #### internalFindGrammar

          protected org.eclipse.xtext.Grammar internalFindGrammar(org.eclipse.xtext.service.GrammarProvider grammarProvider)

    - #### getGrammar

          public org.eclipse.xtext.Grammar getGrammar()

    - #### getTerminalsGrammarAccess

          public org.eclipse.xtext.common.services.TerminalsGrammarAccess getTerminalsGrammarAccess()

    - #### getViatraQueryGeneratorModelAccess

          public GeneratorModelGrammarAccess.ViatraQueryGeneratorModelElements getViatraQueryGeneratorModelAccess()

    - #### getViatraQueryGeneratorModelRule

          public org.eclipse.xtext.ParserRule getViatraQueryGeneratorModelRule()

    - #### getGeneratorModelReferenceAccess

          public GeneratorModelGrammarAccess.GeneratorModelReferenceElements getGeneratorModelReferenceAccess()

    - #### getGeneratorModelReferenceRule

          public org.eclipse.xtext.ParserRule getGeneratorModelReferenceRule()

    - #### getConfigurationAccess

          public GeneratorModelGrammarAccess.ConfigurationElements getConfigurationAccess()

    - #### getConfigurationRule

          public org.eclipse.xtext.ParserRule getConfigurationRule()

    - #### getPropertyAccess

          public GeneratorModelGrammarAccess.PropertyElements getPropertyAccess()

    - #### getPropertyRule

          public org.eclipse.xtext.ParserRule getPropertyRule()

    - #### getIDRule

          public org.eclipse.xtext.TerminalRule getIDRule()

    - #### getINTRule

          public org.eclipse.xtext.TerminalRule getINTRule()

    - #### getSTRINGRule

          public org.eclipse.xtext.TerminalRule getSTRINGRule()

    - #### getML_COMMENTRule

          public org.eclipse.xtext.TerminalRule getML_COMMENTRule()

    - #### getSL_COMMENTRule

          public org.eclipse.xtext.TerminalRule getSL_COMMENTRule()

    - #### getWSRule

          public org.eclipse.xtext.TerminalRule getWSRule()

    - #### getANY_OTHERRule

          public org.eclipse.xtext.TerminalRule getANY_OTHERRule()